﻿@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";

body {
    font-family: 'Poppins', sans-serif;
    background: #fff;
}

p {
    font-family: 'Poppins', sans-serif;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: #999;
}

.color-primary {
    color: #00468e;
}

.color-lightgrey {
    color: #ced4da;
}

.color-grey {
    color: #666;
}

.div-divider {
    height: 0;
    margin: .5rem 0;
    overflow: hidden;
    border-top: 2px solid #00468e;
}

a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.navbar {
    padding: 15px 10px;
    /*background: #fff;*/
    border: none;
    border-radius: 0;
    margin-bottom: 0px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}



.navbar-header {
    width: 240px;
    flex-shrink: 0;
}

* {
    outline: none;
}

.navbar-right2 {
    justify-content: flex-end;
}

.topbar .top-navbar {
    min-height: 70px;
    padding: 0px 15px 0 0;
}

    .topbar .top-navbar .navbar-header {
        line-height: 65px;
        text-align: center;
    }

.topbar {
    /* position: relative; */
    /* top: 0px; */
    /* left: 0px; */
    /* right: 0px; */
    position: sticky;
    /* padding-right: 0px; */
    background-color: #00468e;
    box-shadow: 0px 5px 5px rgba(0,0,0,0.5);
    -webkit-box-shadow: 0px 5px 5px rgba(0,0,0,0.5);
    /*height: 90px;*/
    z-index: 50;
    padding-right: 0px;
    
    height: 80px;
    background: #00468e;
    /*position: fixed;*/
    width: 100%;
}

.topbar-title {
    float: left;
    color: #fff;
    width: 250px;
    padding-left: 20px;
    font-size: xx-large;
    font-weight: bold;
}

.topbar-logo-container {
    float: right;
    text-align: right;
    /*background-color: #fff;*/
}

.topbar-logo {
    max-height: 80px;
    padding-left: 15px;
    padding-right: 10px;
    vertical-align: middle;
}

/* USER HOVER TEST*/
.edit-avatar-picture {
    display: none;
}

.edit-avatar:hover .edit-avatar-picture {
    display: block;
    transition: all 2s ease-in;
}

.form-group-label {
    padding: 6px 10px;
    border: 2px solid;
    margin: 10px auto;
    border: 1px solid #ced4da;
    border-radius: 6px;
}

.form-group-label > label {
    position: absolute;
    background-color: white;
    padding-left: 5px;
    padding-right: 5px;
    margin-top: -18px;
}

/* ---------------------------------------------------
    CARD VIEWs
----------------------------------------------------- */

.card-body a {
    text-decoration: none;
}

.card-body a:hover {
    text-decoration: underline;
}

/* ---------------------------------------------------
    LAYOUT TEST
----------------------------------------------------- */
.wraper {
    height: 100%;
    overflow: hidden;
    min-height: 100vh;
    min-width: 100vw;
    position: absolute;
}

.left {
    background: #00468e;
    top: 80px;
    bottom: 0px;
    position: fixed;
    width: 100px;
    box-shadow: 5px 0px 9px rgba(0,0,0,0.5);
    -webkit-box-shadow: 5px 0px 9px rgba(0,0,0,0.5);
}

.main {
    overflow: auto;
    position: absolute;
    top: 80px;
    left: 100px;
    right: 0px;
    bottom: 0px;
    padding: 10px 15px;
}

/* ---------------------------------------------------
    USER STYLE
----------------------------------------------------- */
.user-name {
    text-align: center;
    color: #fff;
    font-size: 19px;
    text-align: center;
    vertical-align: middle;
    padding-left: 10px;
    line-height: 40px; /* Needs to be equal to user-image height */
}

.user-image {
    border-radius: 100%;
    object-fit: cover;
    background: white;
}

.user-image-120 {
    max-height: 120px;
    max-width: 120px;
}

.user-image-80 {
    height: 80px;
    max-width: 80px;
}

.user-image-40 {
    height: 40px;
    max-width: 40px;
}

.user-image-30 {
    height: 30px;
    max-width: 30px;
}

/* ---------------------------------------------------
    TABLE PANEL STYLES
----------------------------------------------------- */

.pnl-table-repairs {
    border: 1px solid #ced4da;
    border-radius: 6px;
    margin: 5px 0px;
}

.table {
    margin-bottom: 0;
}

.table-header {
    background-color: lightblue;
    border-bottom: 1px solid black;
}

.table-useredit {
    margin-top: 10px;
}

.table-useredit td{
    vertical-align: middle;
}

.table-useredit td.action-icon {
    text-align: right;
}

.table-footer-result {
    line-height: 2.4;
}

a.action-icon {
    color: #9eceff;
    cursor: pointer;
}

a:hover.action-icon {
    color: #007eff;
}

a.action-icon-grey {
    color: #999;
    cursor: pointer;
}

a:hover.action-icon-grey {
    color: var(--bootstrap-primary);
}

a.action-icon-delete {
    color: #ff9e9e;
    cursor: pointer;
}

a:hover.action-icon-delete {
    color: #ff0000;
}

/* ---------------------------------------------------
    BUTTON STYLE
----------------------------------------------------- */
.btn-primary {
    background-color: var(--bootstrap-primary);
    border-color: var(--bootstrap-primary);
}
/* ---------------------------------------------------
    PAGINATION STYLE
----------------------------------------------------- */
.page-link {
    color: var(--bootstrap-primary);
}

    .page-link:hover {
        color: #fff;
        background-color: #7abaff;
    }

.page-item.active .page-link {
    background-color: var(--bootstrap-primary);
    border-color: var(--bootstrap-primary);
}
/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */
.wrapper {
    display: flex;
    align-items: stretch;
}

.sidebar-menuToggle {
    text-align: right;
    float: right;
    color: #00468e;
    background-color: #fff;
    padding-right: 10px;
    padding-left: 5px;
    margin-top: 5px;
    border-radius: 8px 0 0 8px;
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    background: #00468e;
    color: #fff;
    transition: all 0.3s;
}

#sidebar.active {
    min-width: 100px;
    max-width: 100px;
    text-align: center;
}

#sidebar.active .sidebar-header h3,
#sidebar.active .CTAs {
    display: none;
}

#sidebar.active .sidebar-header strong {
    display: block;
}

#sidebar ul li a {
    text-align: left;
}

#sidebar.active ul li a {
    padding: 20px 10px;
    text-align: center;
    font-size: 0.85em;
}

#sidebar.active ul li a i {
    margin-right: 0;
    display: block;
    font-size: 1.8em;
    margin-bottom: 5px;
}

#sidebar.active ul ul a {
    padding: 10px !important;
}

#sidebar.active .dropdown-toggle::after {
    top: auto;
    bottom: 10px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
}

#sidebar .sidebar-header {
    padding: 20px;
    background: #00468e;
}

#sidebar .sidebar-header strong {
    display: none;
    margin-top: 30px;
    font-size: 1.8em;
}

#sidebar ul.components {
    padding: 20px 0;
    /*border-bottom: 1px solid #47748b;*/
}

#sidebar ul li a {
    padding: 10px;
    font-size: 1.1em;
    display: block;
}

#sidebar ul li a:hover {
    color: #00468e;
    background: #fff;
}

#sidebar ul li a i {
    margin-right: 10px;
}

#sidebar ul li > a.active,
#sidebar a[aria-expanded="true"] {
    color: #00468e;
    background: #fff;
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle {
    white-space: initial;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

#sideBarToggle svg {
    vertical-align: middle;
}

#sideBarToggle.active svg {
    -moz-transform: scale(-1, 1);
    -webkit-transform: scale(-1, 1);
    -o-transform: scale(-1, 1);
    -ms-transform: scale(-1, 1);
    transform: scale(-1, 1);
    transition-duration: 0.5s;
}
/* MENU TEST */
/*.dropdown-menu::before {
    border-bottom: 9px solid rgba(0, 0, 0, 0.2);
    border-left: 9px solid rgba(0, 0, 0, 0);
    border-right: 9px solid rgba(0, 0, 0, 0);
    content: "";
    display: inline-block;
    left: 5%; /* position
    position: absolute;
    top: -8px;
}*/
.dropdown-menu::after {
    border-bottom: 8px solid #FFFFFF;
    border-left: 9px solid rgba(0, 0, 0, 0);
    border-right: 9px solid rgba(0, 0, 0, 0);
    content: "";
    display: inline-block;
    left: 5%; /* position */
    position: absolute;
    top: -7px;
}

.dropdown-menu-noarrow::after {
    border-bottom: none;
}

ul ul a {
font-size: 0.9em !important;
padding-left: 30px !important;
}

ul.CTAs {
    padding: 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

a.article,
a.article:hover {
    background: #6d7fcc !important;
    color: #fff !important;
}

.form-control:focus {
    /*border-color: #6265e4 !important;*/
    border-color: #00468e !important;
    box-shadow: 0 0 5px rgba(98, 101, 228, 1) !important;
}

.chg-password .mdc-text-field {
    background: #fff;
    color: #fff;
    opacity: 1;
}

/* ---------------------------------------------------
    LOGIN STYLE
----------------------------------------------------- */
.login-wrapper {
    margin: 0;
    padding: 0;
    height: 100%;
    width: 100%;
    position: absolute;
    background: #00468e;
}

.login-box {
    width: 320px;
    height: auto;
    background: #fff;
    border-radius: 10px;
    color: #fff;
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translate(-50%,-50%);
    box-sizing: border-box;
    padding: 60px 30px 10px 30px;
}

.login-avatar {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    position: absolute;
    top: -50px;
    left: calc(50% - 50px);
}

.login-h1 {
    color: #00468e;
    margin: 0;
    padding: 0 0 5px;
    text-align: center;
    font-size: 22px;
    font-weight: bold;
}

.login-box p {
    margin: 0;
    padding: 0;
}

.login-notvalid {
    color: red;
    padding-bottom: 10px;
    text-align: center;
}

.login-box a {
    text-decoration: none;
    font-size: 14px;
    color: #fff;
}

.login-box a:hover {
    color: #39dc79;
}

/* ---------------------------------------------------
PROFILE USER MENU
----------------------------------------------------- */
.profile-usermenu {
    margin-top: 20px;
}

.profile-usermenu ul li {
    border-bottom: 1px solid #f0f4f7;
    color: #93a3b5;
    font-size: 1rem;
    line-height: 2rem;
}

.profile-usermenu ul li:last-child {
    border-bottom: none;
}

.profile-usermenu ul li a {
    /*color: #93a3b5;*/
    /*font-size: 16px;*/
    font-weight: 400;
}

.profile-usermenu ul li a svg {
    margin-right: 8px;
    /*font-size: 14px;*/
}

.profile-usermenu ul li:hover {
    background-color: #f7f7f7;
    color: #00468e;
}

.profile-usermenu ul li.active {
    border-bottom: none;
    /*background-color: #fafcfd;*/
    color: #00468e;
    background-color: #e7e9ea;
    border-left: 2px solid #00468e;
    margin-left: -2px;
}

.profile-usermenu ul li.active a {
    color: #00468e;
}

/* ---------------------------------------------------
REMOVAL TRANSITION TEST
----------------------------------------------------- */
.fadeout {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 0.35s, opacity 0.3s linear;
}

/* ---------------------------------------------------
MATBLAZOR OVERRIDES
----------------------------------------------------- */

:root {
    --mdc-theme-primary: #00468e;
    --mdc-theme-secondary: #00468e;
    --bootstrap-primary: #00468e;
}

.mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label {
    color: rgba(0,70,142,0.87);
}

fullwidth:not(.mdc-text-field--textarea) > input.mdc-text-field__input {
    padding: 25px 4px 6px;
}

div.mdc-text-field.mdc-text-field--fullwidth:not(.mdc-text-field--textarea) > input.mdc-text-field__input {
    padding: 25px 4px 6px;
}

.mdc-text-field .mdc-floating-label {
    left: 4px;
}

label{
    margin-bottom: 0;
}

.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__icon {
    bottom: 15px;
}
/* LIST ITEMS */
:not(.mdc-list--non-interactive) > :not(.mdc-list-item--disabled).mdc-list-item--selected::before, :not(.mdc-list--non-interactive) > :not(.mdc-list-item--disabled).mdc-list-item--selected::after {
    background-color: #9fcdff;
}

.mdc-chip-set {
    padding: 0px;
}

.mdc-chip {
    background-color: lightblue;
    color: dimgray;
}

.mdc-chip__icon--leading {
    color: dimgray;
}

.mdc-chip__text {
    font-weight: 600;
}

.mdc-chip:hover {
    color: gray;
}

.mdc-chip__text:hover {
    text-decoration: line-through;
}
/* ---------------------------------------------------
MODAL DIALOG STYLE
----------------------------------------------------- */
.close:hover {
    color: #00468e;
    opacity: 1 !important;
}

.modal-title {
    line-height: 1.2;
}

.modal-header .close{
    padding: 0.5rem 0.5rem;
}

.modal-body {
    padding: 0rem 1rem;
}

.modal-body .btn{
    margin-bottom: 15px;
}

/* ---------------------------------------------------
CONTENT STYLE
----------------------------------------------------- */
.data-label {
    color: var(--mdc-theme-primary);
    font-size: smaller;
    display: block;
    padding-top: 0.3rem;
    font-weight: 500;
}

/* ---------------------------------------------------
CONTENT STYLE BASE DIV
----------------------------------------------------- */
#content {
    padding: 10px 15px;
    transition: all 0.3s;
    height: 100%;
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #sidebar {
        min-width: 80px;
        max-width: 80px;
        text-align: center;
        margin-left: -80px !important;
    }

    .dropdown-toggle::after {
        top: auto;
        bottom: 10px;
        right: 50%;
        -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
        transform: translateX(50%);
    }

    #sidebar.active {
        margin-left: 0 !important;
    }

    #sidebar .sidebar-header h3,
    #sidebar .CTAs {
        display: none;
    }

    #sidebar .sidebar-header strong {
        display: block;
    }

    #sidebar ul li a {
        padding: 20px 10px;
    }

    #sidebar ul li a span {
        font-size: 0.85em;
    }

    #sidebar ul li a i {
        margin-right: 0;
        display: block;
    }

    #sidebar ul ul a {
        padding: 10px !important;
    }

    #sidebar ul li a i {
        font-size: 1.3em;
    }

    #sidebar {
        margin-left: 0;
    }

    #sidebarCollapse span {
        display: none;
    }
}


.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
    margin-top: 0.5rem;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}


/* ---------------------------------------------------
    CALLOUT STYLES
------------------------------------------------------ */

.bs-callout {
    padding: 20px;
    margin: 20px 0;
    border: 1px solid #ced4da;
    border-left-width: 5px;
    border-radius: 3px;
}

.bs-callout h4 {
    margin-top: 0;
    margin-bottom: 5px;
    font-weight: 600;
    font-size: 1.4rem;
}

.bs-callout p {
    font-weight: 400;
    color: #555;
}

.bs-callout p:last-child {
    margin-bottom: 0;
}

.bs-callout code {
    border-radius: 3px;
}

.bs-callout + .bs-callout {
    margin-top: -5px;
}

.bs-callout-default {
border-left-color: #777;
}

.bs-callout-default h4 {
    color: #777;
}

.bs-callout-primary {
border-left-color: #428bca;
}

.bs-callout-primary h4 {
    color: #428bca;
}

.bs-callout-success {
border-left-color: #5cb85c;
}

.bs-callout-success h4 {
    color: #5cb85c;
}

.bs-callout-danger {
border-left-color: #ce0000;
}

.bs-callout-danger h4 {
    color: #ce0000;
}

.bs-callout-warning {
border-left-color: #f0ad4e;
}

.bs-callout-warning h4 {
    color: #f0ad4e;
}

.bs-callout-info {
border-left-color: #5bc0de;
}

.bs-callout-info h4 {
    color: #5bc0de;
}


/* ---------------------------------------------------
    LOADING DATA ANIMATION
----------------------------------------------------- */
.spinner {
    margin: 30px auto 0;
    width: 70px;
    text-align: center;
}

.spinner > div {
    width: 18px;
    height: 18px;
    background-color: #00468e;
    border-radius: 100%;
    display: inline-block;
    -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
    animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
    -webkit-animation-delay: -0.32s;
    animation-delay: -0.32s;
}

.spinner .bounce2 {
    -webkit-animation-delay: -0.16s;
    animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
    0%, 80%, 100% {
        -webkit-transform: scale(0)
    }

    40% {
        -webkit-transform: scale(1.0)
    }
}

@keyframes sk-bouncedelay {
    0%, 80%, 100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1.0);
        transform: scale(1.0);
    }
}